For the latest news and information visit The GNU Crypto project

## gnu.crypto.keyring
Interface PasswordProtectedEntry

All Known Implementing Classes:
  PasswordAuthenticatedEntry, PasswordEncryptedEntry

public interface PasswordProtectedEntry

Field Summary
`static java.lang.Integer` `ITERATION_COUNT` The iteration count for password-based KDFs.

Method Summary
`void` `encode(java.io.DataOutputStream out, char[] password)` Encodes this entry, protected by a password.

Field Detail

### ITERATION_COUNT

    public static final java.lang.Integer ITERATION_COUNT

  The iteration count for password-based KDFs.

Method Detail

### encode

    public void encode(java.io.DataOutputStream out,
                       char[] password)
                throws java.io.IOException

  Encodes this entry, protected by a password.

  Parameters:
    `out` - The output stream to encode to.
    `password` - The password.
  Throws:
    `java.io.IOException` - If an I/O error occurs.

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.